/*
 * PS3 Media Server, for streaming any medias to your PS3.
 * Copyright (C) 2008  A.Brochard
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2
 * of the License only.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package net.pms.dlna;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang.StringUtils;

import net.pms.PMS;
//import net.pms.io.OutputParams;
//import net.pms.io.ProcessWrapperImpl;
//import net.pms.util.FileUtil;
//import net.pms.util.ProcessUtil;
import net.pms.configuration.RendererConfiguration;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public interface DVDISOTitleIF {
	
	//public abstract DVDISOTitle(File f, int title);
	
	public abstract void resolve(); 
	
	public abstract long getLength();

	public abstract InputStream getInputStream() throws IOException;

	public abstract String getName();
	
	public abstract String getDpName();

	public abstract int getTitleNum();

	public abstract String getSystemName();

	public abstract boolean isFolder();

	public abstract boolean isValid();

	public abstract long length();

	public abstract long length(RendererConfiguration mediaRenderer);

	public abstract InputStream getThumbnailInputStream() throws IOException;
}
